nxt.shuffling

## Enum ShufflingHome.Event

- java.lang.Object
- - java.lang.Enum<ShufflingHome.Event>
  - - nxt.shuffling.ShufflingHome.Event

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ShufflingHome.Event>
  Enclosing class:
    ShufflingHome

      public static enum ShufflingHome.Event
      extends java.lang.Enum<ShufflingHome.Event>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SHUFFLING_BLAME_STARTED`
    `SHUFFLING_CANCELLED`
    `SHUFFLING_CREATED`
    `SHUFFLING_DONE`
    `SHUFFLING_PROCESSING_ASSIGNED`
    `SHUFFLING_PROCESSING_FINISHED`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ShufflingHome.Event` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ShufflingHome.Event[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SHUFFLING_CREATED

          public static final ShufflingHome.Event SHUFFLING_CREATED

    - #### SHUFFLING_PROCESSING_ASSIGNED

          public static final ShufflingHome.Event SHUFFLING_PROCESSING_ASSIGNED

    - #### SHUFFLING_PROCESSING_FINISHED

          public static final ShufflingHome.Event SHUFFLING_PROCESSING_FINISHED

    - #### SHUFFLING_BLAME_STARTED

          public static final ShufflingHome.Event SHUFFLING_BLAME_STARTED

    - #### SHUFFLING_CANCELLED

          public static final ShufflingHome.Event SHUFFLING_CANCELLED

    - #### SHUFFLING_DONE

          public static final ShufflingHome.Event SHUFFLING_DONE

  - ### Method Detail

    - #### values

          public static ShufflingHome.Event[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShufflingHome.Event c : ShufflingHome.Event.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShufflingHome.Event valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null